port: 7890
socks-port: 7891
allow-lan: true
mode: rule
log-level: info
external-controller: 127.0.0.1:9090


# tun:
#   enable: true
#   stack: system
#   auto-route: true
#   strict-route: false
#   auto-detect-interface: true
#   dns-hijack:
#   - any:53
# external-controller-cors:
#   allow-private-network: true
#   allow-origins:
#   - '*'

# dns:
#   enable: true              # 启用 DNS
#   ipv6: false               # 禁用 IPv6 DNS
#   listen: 0.0.0.0:53        # 监听所有接口的 53 端口
#   default: true             # 启用默认 DNS 解析
#   fake-ip-range: 198.18.0.1/16  # 设置伪造的 IP 地址范围
#   enhanced-mode: fake-ip    # 启用 fake-ip 模式
#   nameserver:
#     - 223.5.5.5            # 阿里 DNS，放在第一位
#     - 223.6.6.6            # 阿里 DNS 备用
#     - 1.1.1.1              # Cloudflare DNS
#     - 1.0.0.1              # Cloudflare 备用 DNS
#     - 8.8.8.8              # Google DNS
#     - 8.8.4.4              # Google 备用 DNS
#   fallback:
#     - 1.1.1.1              # 回退 DNS，Cloudflare
#     - 8.8.8.8              # 回退 DNS，Google
#   fallback-filter:
#     geoip: true             # 根据地理位置过滤 DNS 回退
#     ipcidr:
#       - 8.8.8.8/32         # 设置回退 DNS 的 IP 范围
# dns:
#   enable: true
#   listen: :53
#   enhanced-mode: fake-ip
#   fake-ip-range: 198.18.0.1/16
#   fake-ip-filter-mode: blacklist
#   prefer-h3: false
#   respect-rules: false
#   use-hosts: false
#   use-system-hosts: false
#   fake-ip-filter:
#   - '*.lan'
#   - '*.local'
#   - '*.arpa'
#   - time.*.com
#   - ntp.*.com
#   - time.*.com
#   - +.market.xiaomi.com
#   - localhost.ptlogin2.qq.com
#   - '*.msftncsi.com'
#   - www.msftconnecttest.com
#   default-nameserver:
#   - 223.6.6.6
#   - 8.8.8.8
#   nameserver:
#   - 8.8.8.8
#   - https://doh.pub/dns-query
#   - https://dns.alidns.com/dns-query
#   fallback:
#   - https://dns.alidns.com/dns-query
#   - https://dns.google/dns-query
#   - https://cloudflare-dns.com/dns-query
#   nameserver-policy: {}
#   proxy-server-nameserver:
#   - https://doh.pub/dns-query
#   - https://dns.alidns.com/dns-query
#   direct-nameserver: []
#   direct-nameserver-follow-policy: false
#   fallback-filter:
#     geoip: true
#     geoip-code: CN
#     ipcidr:
#     - 240.0.0.0/4
#     - 0.0.0.0/32
#     domain:
#     - +.google.com
#     - +.facebook.com
#     - +.youtube.com

proxies:
  - {"name":"speedcat-HK-03","type":"ss","server":"48f477c5.rggilxnv07wph3e-scnode.bzlxzl.com","port":57003,"cipher":"chacha20-ietf-poly1305","password":"Is6olb","udp":true}
  - {"name":"speedcat-SG-03","type":"ss","server":"48f477c5.rggilxnv07wph3e-scnode.bzlxzl.com","port":57043,"cipher":"chacha20-ietf-poly1305","password":"Is6olb","udp":true}
  - {name: node-hk1, server:  hk1.xv2ray.mathseem.com, port: 30021, type: vmess, uuid: 12345678-ffff-ffff-ffff-123456789abc, alterId: 0, cipher: auto, tls: true, skip-cert-verify: false, network: ws, ws-opts: {path: /nymathray, headers: {Host: hk1.xv2ray.mathseem.com}}, udp: true}
  # - {name: node-hk2, server:  hk2.xv2ray.mathseem.com, port: 30020, type: vmess, uuid: 12345678-ffff-ffff-ffff-123456789abc, alterId: 0, cipher: auto, tls: true, skip-cert-verify: false, network: ws, ws-opts: {path: /nymathray, headers: {Host: hk2.xv2ray.mathseem.com}}, udp: true}
  - {name: node-jp, server:  jp.xv2ray.mathseem.com, port: 30021, type: vmess, uuid: 12345678-ffff-ffff-ffff-123456789abc, alterId: 0, cipher: auto, tls: true, skip-cert-verify: false, network: ws, ws-opts: {path: /nymathray, headers: {Host: jp.xv2ray.mathseem.com}}, udp: true}
  - {name: node-us, server:  us.xv2ray.mathseem.com, port: 30020, type: vmess, uuid: 12345678-ffff-ffff-ffff-123456789abc, alterId: 0, cipher: auto, tls: true, skip-cert-verify: false, network: ws, ws-opts: {path: /nymathray, headers: {Host: us.xv2ray.mathseem.com}}, udp: true}
  # - {name: hb-acck-hk1, server:  acck-hk1.xv2ray.mathseem.com, port: 30020, type: vmess, uuid: 12345678-ffff-ffff-ffff-123456789abc, alterId: 0, cipher: auto, tls: true, skip-cert-verify: false, network: ws, ws-opts: {path: /nymathray, headers: {Host: acck-hk1.xv2ray.mathseem.com}}, udp: true}
  # - {name: hb-acck-jp1, server:  acck-jp1.xv2ray.mathseem.com, port: 30020, type: vmess, uuid: 12345678-ffff-ffff-ffff-123456789abc, alterId: 0, cipher: auto, tls: true, skip-cert-verify: false, network: ws, ws-opts: {path: /nymathray, headers: {Host: acck-jp1.xv2ray.mathseem.com}}, udp: true}
  - {name: node-pek, server: 101.201.54.47, port: 10001, type: ss, cipher: chacha20-ietf-poly1305, password: zhangnanyi123, udp: true}


  - {name: z-error-hk, server:  nan.xv2ray.mathseem.com, port: 30020, type: vmess, uuid: 12345678-ffff-ffff-ffff-123456789abc, alterId: 0, cipher: auto, tls: true, skip-cert-verify: false, network: ws, ws-opts: {path: /nymathray, headers: {Host: nan.xv2ray.mathseem.com}}, udp: true}
  - {name: edu-cuhk, server:  cuhk.xv2ray.mathseem.com, port: 30020, type: vmess, uuid: 12345678-ffff-ffff-ffff-123456789abc, alterId: 0, cipher: auto, tls: true, skip-cert-verify: false, network: ws, ws-opts: {path: /nymathray, headers: {Host: cuhk.xv2ray.mathseem.com}}, udp: true}
  # - {name: node-mini, type: ss, server: 8.210.166.8, port: 10001, cipher: "aes-256-gcm", password: "zhangnanyi123", udp: true}cl
  # ws-opts记得改 !!!! . 

  - {name: edu-pku, server: frps.mathseem.com, port: 10001, type: ss, cipher: chacha20-ietf-poly1305, password: zhangnanyi123, udp: true}
  # - {"name":"最新网址: scweb01.speedcat.la","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57001,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  # - {"name":"剩余流量: 50GB","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57001,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  # - {"name":"过期时间: 2026-11-25 00:14:53","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57001,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"香港-01","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57001,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"香港-02","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57002,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"香港-03","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57003,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"香港-04","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57004,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"香港-05","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57005,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"香港-06","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57006,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"香港-07","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57007,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"香港-08","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57008,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"香港-09","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57009,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"香港-10","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57010,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"香港-11","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57011,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"香港-12","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57012,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"香港-13","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57013,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"香港-14","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57014,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"香港-15","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57015,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"香港-16","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57016,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"香港-17","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57017,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"香港-18","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57018,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"香港-19","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57019,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"香港-20","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57020,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"台湾-01","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57021,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"台湾-02","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57022,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"台湾-03","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57023,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"台湾-04","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57024,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"台湾-05","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57025,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"台湾-06","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57026,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"台湾-07","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57027,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"台湾-08","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57028,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"台湾-09","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57029,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"台湾-10","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57030,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"日本-01","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57031,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"日本-02","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57032,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"日本-03","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57033,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"日本-04","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57034,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"日本-05","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57035,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"日本-06","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57036,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"日本-07","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57037,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"日本-08","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57038,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"日本-09","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57039,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"日本-10","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57040,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"新加坡-01","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57041,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"新加坡-02","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57042,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"新加坡-03","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57043,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"新加坡-04","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57044,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"新加坡-05","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57045,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"新加坡-06","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57046,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"新加坡-07","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57047,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"新加坡-08","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57048,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"新加坡-09","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57049,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"新加坡-10","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57050,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"美国-01","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57051,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"美国-02","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57052,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"美国-03","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57053,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"美国-04","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57054,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"美国-05","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57055,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"美国-06","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57056,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"美国-07","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57057,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"美国-08","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57058,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"美国-09","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57059,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"美国-10","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57060,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"英国-01","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57061,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"英国-02","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57062,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"英国-03","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57063,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"英国-04","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57064,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"英国-05","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57065,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"马来西亚-01","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57066,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"马来西亚-02","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57067,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"马来西亚-03","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57068,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"马来西亚-04","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57069,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"马来西亚-05","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57070,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"土耳其-01","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57097,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"土耳其-02","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57098,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"阿根廷-01","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57099,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}
  - {"name":"阿根廷-02","type":"ss","server":"85751091.apple-office.s2c5n1o1d2e4.com","port":57100,"cipher":"chacha20-ietf-poly1305","password":"1CePQfA4SQWU","udp":true}


proxy-groups:
  - name: Base
    type: select
    proxies:
      - DIRECT
      - node-hk1
      - node-jp
      - node-us
      - node-pek
      - edu-pku
      - edu-cuhk
      - z-error-hk

  - name: SpeedCat
    type: select
    proxies:
    - 香港-01
    - 香港-02
    - 香港-03
    - 香港-04
    - 香港-05
    - 香港-06
    - 香港-07
    - 香港-08
    - 香港-09
    - 香港-10
    - 香港-11
    - 香港-12
    - 香港-13
    - 香港-14
    - 香港-15
    - 香港-16
    - 香港-17
    - 香港-18
    - 香港-19
    - 香港-20
    - 台湾-01
    - 台湾-02
    - 台湾-03
    - 台湾-04
    - 台湾-05
    - 台湾-06
    - 台湾-07
    - 台湾-08
    - 台湾-09
    - 台湾-10
    - 日本-01
    - 日本-02
    - 日本-03
    - 日本-04
    - 日本-05
    - 日本-06
    - 日本-07
    - 日本-08
    - 日本-09
    - 日本-10
    - 新加坡-01
    - 新加坡-02
    - 新加坡-03
    - 新加坡-04
    - 新加坡-05
    - 新加坡-06
    - 新加坡-07
    - 新加坡-08
    - 新加坡-09
    - 新加坡-10
    - 美国-01
    - 美国-02
    - 美国-03
    - 美国-04
    - 美国-05
    - 美国-06
    - 美国-07
    - 美国-08
    - 美国-09
    - 美国-10
    - 英国-01
    - 英国-02
    - 英国-03
    - 英国-04
    - 英国-05
    - 马来西亚-01
    - 马来西亚-02
    - 马来西亚-03
    - 马来西亚-04
    - 马来西亚-05
    - 土耳其-01
    - 土耳其-02
    - 阿根廷-01
    - 阿根廷-02

  # - name: Wall 
  #   type: select
  #   use:
  #   - provider-gfw

  - name: Google
    type: select
    proxies:
      - node-jp
      - SpeedCat
      # - Wall 

  - name: ChatGPT
    type: select
    proxies:
      - node-jp
      - SpeedCat
      # - Wall

  - name: GoogleApps
    type: select
    proxies: 
      - SpeedCat 
      # - Wall 
  
# proxy-providers:
#   provider-gfw:
#     health-check:
#       enable: true
#       interval: 3600
#       url: http://cp.cloudflare.com/
#     interval: 3600
#     path: ./provider-gfw.yaml
#     type: http
#     url: https://provider.wallesspku.space/clash/2301210046@stu.pku.edu.cn/6RTXS7GQ?group=gfw&client=clash-verge&version=v2.4.1
  
rules:
  - DOMAIN-KEYWORD,mathseem.com,DIRECT
  - GEOIP,CN,DIRECT

  - DOMAIN-SUFFIX,scholar.google.com,Google
  - DOMAIN-SUFFIX,scholar.googleusercontent.com,Google
  # ChatGPT
  - DOMAIN-KEYWORD,openai,ChatGPT
  - DOMAIN-SUFFIX,openai.com,ChatGPT
  - DOMAIN-SUFFIX,chat.openai.com.cdn.cloudflare.net,ChatGPT  
  - DOMAIN-SUFFIX,chatgpt.com,ChatGPT
  - DOMAIN-SUFFIX,oaistatic.com,ChatGPT
  - DOMAIN-SUFFIX,oaiusercontent.com,ChatGPT
  - DOMAIN-SUFFIX,auth0.com,ChatGPT
  - DOMAIN-SUFFIX,bing.com,ChatGPT
  - DOMAIN-SUFFIX,live.com,ChatGPT
  - DOMAIN-SUFFIX,ai.com,ChatGPT
  - DOMAIN-SUFFIX,deepl.com,ChatGPT
  - DOMAIN-SUFFIX,sentry.io,ChatGPT
  - DOMAIN-SUFFIX,challenges.cloudflare.com,ChatGPT
  - DOMAIN-SUFFIX,events.statsigapi.net,ChatGPT
  - DOMAIN-SUFFIX,featuregates.org,ChatGPT
  - DOMAIN-SUFFIX,identrust.com,ChatGPT
  - DOMAIN-SUFFIX,intercom.io,ChatGPT
  - DOMAIN-SUFFIX,intercomcdn.com,ChatGPT
  - DOMAIN-SUFFIX,openaiapi-site.azureedge.net,ChatGPT
  - DOMAIN-SUFFIX,openaicom.imgix.net,ChatGPT
  - DOMAIN-SUFFIX,openaicomproductionae4b.blob.core.windows.net,ChatGPT
  - DOMAIN-SUFFIX,openaicom-api-bdcpf8c6d2e9atf6.z01.azurefd.net,ChatGPT
  - DOMAIN-SUFFIX,production-openaicom-storage.azureedge.net,ChatGPT
  - DOMAIN-SUFFIX,o33249.ingest.sentry.io,ChatGPT
  - DOMAIN-SUFFIX,bard.google.com,ChatGPT
  - DOMAIN-SUFFIX,copilot.microsoft.com,ChatGPT
  - DOMAIN-SUFFIX,poe.com,ChatGPT
  - DOMAIN-SUFFIX,anthropic.com,ChatGPT
  - DOMAIN-SUFFIX,copilot.microsoft.com,ChatGPT
  - DOMAIN-SUFFIX,perplexity.ai,ChatGPT

  # Gemini, notebooklm
  - DOMAIN-SUFFIX,bard.google.com,GoogleApps
  - DOMAIN-SUFFIX,gemini.google.com,GoogleApps
  - DOMAIN-KEYWORD,notebooklm,GoogleApps
  - MATCH,Base